> ## Documentation Index
> Fetch the complete documentation index at: https://docs.incredibuild.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User Management API

Last updated on Aug 01, 2024

You can create new users with our User Management API. This requires an [API Key](/mac/api-keys). Users created using this API are given **Viewer** permissions.

**Request Endpoint**

```
POST https://{IB Coordinator IP Address/Hostname}:{Web Access Port}/api/users/createViewers?version={api version}
```

Where **version** is the version of the Incredibuild API. Currently there is only one version: 1.1.0. If you do not specify a version in the API call, the lowest supported version will be used.

For example:

```
POST https://coordinatorPC:8000/api/users/createViewers?version=1.3.0
```

**Request Format:**

**Header:** The header must include a key called **client-api-key** and the value of your API key as a string. All APIs are case sensitive.

**Body:** The request body is an array of users where each item contains the following fields (some are optional). Each request can contain up to 15 new users.

| Field     | Description        | Required | Data Type                                                                                              |
| --------- | ------------------ | -------- | ------------------------------------------------------------------------------------------------------ |
| userName  | username for login | yes      | string                                                                                                 |
| firstName | User's first name  | no       | string                                                                                                 |
| lastName  |                    | no       | string                                                                                                 |
| email     |                    | no       | string in email format                                                                                 |
| password  |                    | yes      | string. Must be at least 8 characters, at least one uppercase letter, no spaces or special characters. |

**Example Body**

[Copy](javascript:void\(0\);)

```
{

 [{

"userName": "Linda236watt",

"firstName": "Linda",

"lastName": "Watt",

"email":  "Linda236watt@gmail.com",

"password": "string"
 
},

{

"username": "Jane.Austen",

"firstName": "Jane",

"lastName": "A",

"email": "Jane.Austen@yahoo.com",

"password": "string"

},
 

{

"username": "AlexChampion",

"firstName": "Alexandar",

"lastName": "Champion",

"email": "alex@yahoo.com",

"password": "string"

}

]

}
```
